Subject: Re: Nokia N900 on 5.4 and 5.5

From: "Arthur D." <[email-masked]>
Date: Fri, 07 Feb 2020 23:20:33 +0300

Hi.

I was able to build linux-5.5 and run it on N900 with no problems.
Even WiFi works, mmc0 is in place too. It seems you're doing something
wrong.

Were you able to build linux-5.1 with your scripts and run it on the
phone? I mean the pure linux-5.1 without configs and changes done
in https://github.com/maemo-leste/n9xx-linux.

BTW, I didn't find STACKPROTECTOR_PER_TASK option to be enabled in
omap2plus_defconfig.

--
Best regards, Spinal

> * Tony Lindgren <[email-masked]> [200207 16:54]:
>> * Merlijn Wajer <[email-masked]> [200207 16:47]:
>> > On 07/02/2020 17:36, Tony Lindgren wrote:
>> > >
>> > > Looks like there's a regression in general for appended dtb booting  
>> that
>> > > was caused by commit 9f671e58159a ("security: Create "kernel  
>> hardening"
>> > > config area"). With that change we now get STACKPROTECTOR_PER_TASK
>> > > selected by default with Kconfig.
>> > >
>> > > Merlijn, care to try to disable STACKPROTECTOR_PER_TASK in your
>> > > .config to see if that helps?
>> >
>> > Yes, this makes the kernel boot.
>>
>> OK good to hear. My guess is that having STACKPROTECTOR_PER_TASK
>> selected causes changes to include/generated/asm-offsets.h that
>> appended dtb booting does not like. But let's see what others
>> think.
>
> I don't think this is an issue of CONFIG_STACKPROTECTOR + CONFIG_SMP
> booted on UP machine as it only happens with appended dtb it seems.
>
> Regards,
>
> Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel